.footer {
    background-color: #003255;
    padding: 50px 10px;
    color: #fff;
}
.footer-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    justify-items: center;
    align-items: center;
    gap: 10px;
}
.f-2 {
    display: grid;
    gap: 10px;
}
.f-2 a {
    font-size: 1.375rem;
    font-weight: 600;
    display: flex;
    align-items: end;
    position: relative;
    max-width: fit-content;
    gap: 4px;
    z-index: 2;
}
.f-2 a p {
    position: relative;
    z-index: 2;
}
.f-2 a::before {
    transition: .3s;
    display: block;
    width: 4px;
    height: 4px;
    border-radius: 5px;
    background-color: #fff;
    content: "";
    position: absolute;
    left: 0px;
    z-index: 0;
}
.f-2 a:hover::before {
    width: 100%;
    background-color: #0069b3;
    
}
.f-3 a:hover {
    transform: scale(1.1);
}
.f-1 a:hover {
    transform: scale(1.03);
}
.direitos {
    background-color: #fff;
    padding: 10px;
    color: #003255;
    text-align: center;
    font-size: 1.375rem;
    font-weight: 600;
}

@media only screen and (min-width:321px) and (max-width:620px) {

    .footer-grid {
        grid-template-columns: 1fr;
        gap: 20px;
    }
    .f-2 {
        justify-items: center;
    }
}

@media only screen and (min-width:0px) and (max-width:320px) {

    .footer-grid {
        grid-template-columns: 1fr;
        gap: 20px;
    }
    .f-2 {
        justify-items: center;
    }
    .direitos {
        font-size: 1rem;
    }
}